## pcp-5.3.5.src.tar.gz.f89393e4b09544a6649110eccd831f50

=== vendor/github.com/Nordix/hiredis-cluster/examples/src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)
project(examples LANGUAGES C)

# Handle libevent and hiredis
find_library(EVENT_LIBRARY event HINTS /usr/lib/x86_64-linux-gnu)
find_package(hiredis REQUIRED)
find_package(hiredis_ssl REQUIRED)
find_package(hiredis_cluster REQUIRED)

add_definitions(-DSSL_SUPPORT)

include_directories("${hiredis_INCLUDE_DIRS}")
include_directories("${hiredis_cluster_INCLUDE_DIRS}")

# Executable: IPv4
add_executable(example_ipv4 example.c)
target_link_libraries(example_ipv4
  ${hiredis_LIBRARIES}
  ${hiredis_cluster_LIBRARIES}
  ${hiredis_ssl_LIBRARIES})

# Executable: async
add_executable(example_async example_async.c)
target_link_libraries(example_async
  ${hiredis_LIBRARIES}
  ${hiredis_cluster_LIBRARIES}
  ${hiredis_ssl_LIBRARIES}
  ${EVENT_LIBRARY})

# Executable: tls
add_executable(example_tls example_tls.c)
target_link_libraries(example_tls
  ${hiredis_LIBRARIES}
  ${hiredis_cluster_LIBRARIES}
  ${hiredis_ssl_LIBRARIES}
  ${EVENT_LIBRARY})

=== debian/changelog ===
pcp (5.3.5-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 10 Nov 2021 10:46:50 +1100

pcp (5.3.4-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Add pmlogger zeroconf file for interval (closes: #990223)

 -- Nathan Scott <nathans@debian.org>  Fri, 08 Oct 2021 08:53:32 +1100

pcp (5.3.3-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 15 Sep 2021 10:08:32 +1000

pcp (5.3.2-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 30 Jul 2021 11:37:57 +1000

pcp (5.3.1-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 04 Jun 2021 09:21:45 +1000

pcp (5.3.0-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Resolve pmfind log path permissions (closes: #985384)

 -- Nathan Scott <nathans@debian.org>  Fri, 16 Apr 2021 10:07:03 +1000

pcp (5.2.6-1) unstable; urgency=low

  * Resolve bash-related package conflicts (closes: #982323)

 -- Nathan Scott <nathans@debian.org>  Tue, 09 Feb 2021 13:36:31 +1100

pcp (5.2.5-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Add systemd package dependency (closes: #962994)

 -- Nathan Scott <nathans@debian.org>  Mon, 08 Feb 2021 13:14:45 +1100

pcp (5.2.3-1) unstable; urgency=low

  * Fix sub-package dependencies for upgrades (closes: #975997)
  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 18 Dec 2020 08:11:33 +1100

pcp (5.2.2-1) unstable; urgency=low

  * Remove python3-all-dev dependency (closes: #972330)
  * Add architecture to bpftrace deps (closes: #973010)
  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 11 Nov 2020 07:31:00 +1000

pcp (5.2.1-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 25 Aug 2020 09:31:40 +1000

pcp (5.2.0-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 07 Aug 2020 11:33:58 +1000

pcp (5.1.2-1) unstable; urgency=low

  * Resolve dependency generation issue (closes: #962994)

 -- Nathan Scott <nathans@debian.org>  Mon, 29 Jun 2020 15:28:11 +1000

pcp (5.1.1-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 29 Apr 2020 08:37:26 +1000

pcp (5.1.0-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * service daemon config updates
  * numerous important bug fixes

 -- Nathan Scott <nathans@debian.org>  Fri, 24 Apr 2020 08:37:26 +1000

pcp (5.0.3-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Thu, 27 Feb 2020 07:47:18 +1100

pcp (5.0.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop remaining python2 build commands (closes: #947916)
  * Build-depend on python3-all-dev for the py3 extension build.

 -- Martin Pitt <mpitt@debian.org>  Sat, 04 Jan 2020 09:58:40 +0000

pcp (5.0.2-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Switch exclusively to python3-pcp package (closes: #937260)

 -- Nathan Scott <nathans@debian.org>  Wed, 11 Dec 2019 07:52:01 +1100

pcp (5.0.1-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Mon, 04 Nov 2019 10:18:34 +1100

pcp (5.0.0-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 11 Oct 2019 11:38:43 +1100

pcp (4.3.4-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 16 Aug 2019 08:17:54 +1000

pcp (4.3.3-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 28 Jun 2019 13:27:17 +1000

pcp (4.3.2-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Remove anibal from uploaders, MIA team request (closes: #925090)

 -- Nathan Scott <nathans@debian.org>  Fri, 26 Apr 2019 09:35:59 +1000

pcp (4.3.1-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 27 Feb 2019 08:09:26 +1100

pcp (4.3.0-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 21 Dec 2018 13:33:21 +1100

pcp (4.2.0-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 16 Nov 2018 05:12:53 +1000

pcp (4.1.3-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 21 Sep 2018 11:36:36 +1000

pcp (4.1.2-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Sat, 04 Aug 2018 14:49:51 +1000

pcp (4.1.0-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 15 Jun 2018 11:20:17 +1000

pcp (4.0.2-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Fri, 11 May 2018 09:32:45 +1100

pcp (4.0.1-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Thu, 29 Mar 2018 10:11:12 +1100

pcp (4.0.0-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Remove postinst insecure tmpfile handling (closes: #771793)
  * Remove py2 or py3 alt build dependencies (closes: #882977)
  * Fix sigsegv in pcp-atop with no devices (closes: #881822)
  * Fix FTBFS building arch-indep packages (closes: #805955)
  * Remove bashism from the pcp-testsuite (closes: #772352)
  * Build for the system python3 package (closes: #866700)


=== debian/control ===
Source: pcp
Section: utils
Priority: extra
Homepage: https://pcp.io
Maintainer: PCP Development Team <pcp@groups.io>
Uploaders: Nathan Scott <nathans@debian.org>, Ken McDonell <kenj@kenj.id.au>
Build-Depends: bison, flex, gawk, procps, pkg-config, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], python-all,, python-dev,, python3-dev, libnspr4-dev, libnss3-dev, libsasl2-dev, libuv1-dev,, libssl-dev,, libavahi-common-dev, qt-dev,, autotools-dev, zlib1g-dev, autoconf, libclass-dbi-perl, libdbd-mysql-perl, python-psycopg2,, python-openpyxl,, dh-python,, libpfm4-dev,, libncurses5-dev, python-six,, python-json-pointer,, python-requests,, libextutils-autoinstall-perl, libxml-tokeparser-perl, librrds-perl, libjson-perl, libwww-perl, libnet-snmp-perl, libnss3-tools, liblzma-dev,, libsystemd-dev,, python3-bpfcc,, bpftrace,, libibumad-dev,, libibmad-dev,, manpages
Standards-Version: 3.9.3
X-Python3-Version: >= 3.3

Package: pcp
Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, ?{python-pcp}, ?{python}, libpcp-pmda3 (= ${binary:Version}), libpcp-mmv1 (= ${binary:Version}), libpcp-web1 (= ${binary:Version}), libpcp3 (= ${binary:Version})
Recommends: libpcp-pmda-perl
Conflicts: pgpool2, dstat, pcp-webapi, pcp-manager
Suggests: pcp-gui, libpcp-import-perl, ?{bpftrace}, ?{python3-bpfcc}, redis-server
Provides: dstat, pcp-webapi, pcp-manager
Replaces: dstat, pcp-webapi, pcp-manager
Architecture: any
Description: System level performance monitoring and performance management
 Performance Co-Pilot (PCP) is a framework and services to
 support system-level performance monitoring and performance
 management.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: pcp-conf
Depends: ${misc:Depends}
Breaks: libpcp3 (<< 3.9.0), pcp (<< 4.0.1)
Section: libs
Architecture: any
Description: Performance Co-Pilot runtime configuration
 The pcp-conf package contains important runtime configuration
 files required by all programs and libraries that make up the
 Performance Co-Pilot (PCP) toolkit.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp3-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp3 (= ${binary:Version}), libc6-dev | libc-dev
Breaks: pcp (<< 4.3.4), libpcp-gui2-dev (<< 3.11.10~), pcp-webapi (<< 5.0.0), pcp-manager (<< 5.2.0)
Replaces: libpcp-gui2-dev (<< 3.11.10~), pcp-webapi (<< 5.0.0), pcp-manager (<< 5.2.0)
Architecture: any
Description: Performance Co-Pilot library and headers
 The libpcp-dev package contains the base Performance Co-Pilot (PCP)
 library and header files needed to develop collector and monitor
 programs which make use of PCP services.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp3
Depends: ${shlibs:Depends}, ${misc:Depends}, pcp-conf (= ${binary:Version})
Conflicts: pgpool2
Breaks: pcp (<< 2.8.0), libpcp3-dev (<< 2.8.5)
Section: libs
Architecture: any
Description: Performance Co-Pilot library
 The libpcp package contains the runtime environment required by
 programs that make use of Performance Co-Pilot (PCP) services.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-gui2-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-gui2 (= ${binary:Version}), libpcp3 (= ${binary:Version})
Conflicts: libpcp-gui1-dev
Architecture: any
Description: Performance Co-Pilot graphical client tools library and headers
 The libpcp-gui-dev package contains the Performance Co-Pilot (PCP)
 library and header files needed to incorporate graphical time control
 (pmtime) into a monitoring application.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-gui2
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot graphical client tools library
 The libpcp-gui package contains the runtime environment required by any
 monitoring tool that makes use of the time control services of pmtime(1).
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-mmv1-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-mmv1 (= ${binary:Version}), libpcp3 (= ${binary:Version})
Architecture: any
Description: Performance Co-Pilot Memory Mapped Value library and headers
 The libpcp-mmv-dev package contains the Performance Co-Pilot (PCP)
 library and header files needed to utilise memory mapped value
 instrumentation into a monitored application.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-mmv1
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot Memory Mapped Value client library
 The libpcp-mmv package contains the runtime environment required by an
 application that utilises Memory Mapped Value instrumentation to export
 runtime instrumentation into the Performance Co-Pilot infrastructure.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-pmda3-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-pmda3 (= ${binary:Version}), libpcp3 (= ${binary:Version})
Breaks: pcp (<< 2.8.0), libpcp3-dev (<< 3.11.10~)
Replaces: libpcp3-dev (<< 3.11.10~)
Architecture: any
Description: Performance Co-Pilot Domain Agent library and headers
 The libpcp-pmda-dev package contains the Performance Co-Pilot (PCP)
 library and header files needed to develop Performance Metric Domain
 Agents (PMDAs).  Each PMDA exports performance data for one domain;
 for example the operating system kernel, Cisco routers, a database,
 an application, etc.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-pmda3
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot Domain Agent library
 The libpcp-pmda package contains the runtime environment required by
 a Performance Metric Domain Agent (PMDA).  A PMDA exports performance
 data for one specific domain, for example the operating system kernel,
 DNS, SMTP, Cisco router, a database, an application, etc.

Package: libpcp-trace2-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-trace2 (= ${binary:Version}), libpcp3 (= ${binary:Version})
Breaks: pcp (<< 2.8.0)
Architecture: any
Description: Performance Co-Pilot application tracing library and headers
 The libpcp-trace-dev package contains the Performance Co-Pilot (PCP)
 library and header files needed to directly instrument an application
 for event and value tracking by the pmdatrace(1) PCP Trace Performance
 Metric Domain Agent.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-trace2
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot application tracing library
 The libpcp-trace package contains the runtime environment required by
 an application that is directly instrumented for event and value
 tracking by pmdatrace(3), the Trace Performance Metric Domain Agent.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-import1-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-import1 (= ${binary:Version}), libpcp3-dev
Architecture: any
Description: Performance Co-Pilot data import library and headers
 The libpcp-import-dev package contains the library and header files
 needed to build an application that imports performance data from
 a file or real-time source and creates a Performance Co-Pilot (PCP)
 archive suitable for use with the PCP tools.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-import1
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot data import library
 The libpcp-import package contains the runtime environment required
 by an application that imports performance data from a file or
 real-time source and creates a Performance Co-Pilot (PCP) archive
 suitable for use with the PCP tools.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.
 
Package: libpcp-web1-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-web1 (= ${binary:Version}), libpcp3-dev
Architecture: any
Description: Performance Co-Pilot web tooling
 The libpcp-web-dev package contains the library and header files
 needed to build a PMDA which parses and extracts metric data from
 a JSON file.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-web1
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot data import library
 The libpcp-web package contains the runtime environment required
 by a PMDA to parse and extract metric data from a JSON file.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-pmda-perl
Section: perl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libpcp-pmda3 (= ${binary:Version})
Description: Performance Co-Pilot Domain Agent Perl module
 The PCP::PMDA Perl module contains the language bindings for
 building Performance Metric Domain Agents (PMDAs) using Perl.
 Each PMDA exports performance data for one specific domain, for
 example the operating system kernel, Cisco routers, a database,
 an application, etc.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-import-perl
Section: perl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, libpcp-import1 (= ${binary:Version})
Description: Performance Co-Pilot log import Perl module
 The PCP::LogImport Perl module contains the language bindings for
